#nav-container {
    ul {
        padding-left: 0;
        list-style: none;

        .main-nav__list-item {
            &:hover {
                .app-sidebar {
                    .open &__link:disabled &,
                    .active &__link:disabled &,
                    &__link:hover & {
                        &__icon-wrapper._squared {
                            opacity: .4;
                        }
                    }
                    .open &__link,
                    .active &__link,
                    &__link:disabled:hover {
                        .profile-photo {
                            opacity: .75;
                        }
                    }
                }
            }
        }
    }

    > .nav-wrapper {
        position: relative;
        width: 100%;
        height: 100%;
    }
}

.nav-container {
    .md-button {
        text-align: left;
        min-width: 20px;
        text-transform: none;
        border-radius: 0;
    }
    .nav {
        margin: 0;
        padding: 0;
        -webkit-overflow-scrolling: touch;
        -webkit-overflow-scrolling: -blackberry-touch;

        .nav-title {
            margin: 15px 15px 10px;
            font-weight: normal;
            font-size: $font-size-small;
        }

        .nav-divider {
            margin: 10px 0 10px 15px;
            border-width: 1px;
            border-style: solid;
            border-color: transparent;
        }

        >li>a>i,
        >li>a>.nav-icon {
            display: inline-block;
            vertical-align: bottom; // for material-icons
            margin-right: 10px;
            //width: 18px;
            line-height: $line-height-computed;
            text-align: center;
            //font-size: 16px;
            transition: all $nav-transition_duration ease-in-out;
            color: currentColor;
        }

        a {
            font-size: 14px;
            transition: all $nav-transition_duration ease-in-out;
            &:hover,
            &:focus,
            &:active {
                text-decoration: none;
            }
        }

        > li {
            position: static;
            margin: 0;
            text-align: left;
            //font-weight: bold;
            transition: all $nav-transition_duration ease-in-out;
            &.li-small {
                font-size: 12px;
                font-weight: normal;
                > a {
                    padding: 10px 15px;
                    > i {
                        font-size: 12px;
                    }
                }
            }
            &._empty {
                cursor: default;
            }

            &:first-child > a {
                border-top: 0;
            }

            > a,
            > .menu-btn {
                position: relative;
                white-space: nowrap;
                display: block;
                padding: 20px 15px;
                transition: all $nav-transition_duration ease-in-out;
                height: $sidebar-width;
                &,
                &.md-focused {
                    max-height: $sidebar-width;
                    max-width: $sidebar-width;
                    min-width: $sidebar-width;
                    color: #ffffff;
                    padding: 20px 15px;
                }
                .badge {
                    position: absolute;
                    top: 16px;
                    right: 8px;
                }
            }
        }

        // sub menu
        ul {
            display: none;

            a {
                font-size: 14px;
                @media(max-width: $screen-phone) {
                    font-size: 16px;
                }
            }

            li {
                position: relative;
                padding: 0;

                &:last-child > a {
                    border-bottom: 0;
                }

                > a,
                >.menu-btn {
                    position: relative;
                    display: block;
                    padding: 12px 0 12px 24px;
                    transition: all $nav-transition_duration ease-in-out;
                    &.md-focused {
                        padding: 12px 0 12px 24px;
                    }
                    @media(max-width: $screen-phone) {
                        padding-top: 16px;
                        padding-bottom: 16px;
                        &.md-focused {
                            padding-top: 16px;
                            padding-bottom: 16px;
                            font-size: 16px;
                            max-height: none;
                        }
                    }
                    &:first-child {
                        border-top: none;
                    }

                    > i {
                        font-size: 14px;
                        line-height: 16px;
                        margin-right: 10px;
                        vertical-align: middle;
                        &._right {
                            margin-left: 10px;
                            margin-right: 0;
                        }
                    }

                    > .badge {
                        position: absolute;
                        right: 8px;
                        top: 12px;
                    }
                }

                > a {
                    white-space: nowrap;
                    overflow: hidden;
                    text-overflow: ellipsis;
                    max-width: 100%;
                    max-height: none;
                }
            }
            &.auto-width.width-icon {
                li {
                    > a {
                        padding-right: 32px;
                    }
                }
            }
        }
    }
}

.nav-vertical {
    box-shadow: 2px 0 2px 0 rgba(0,0,0,0.12);
}

.app-sidebar {
    .open &__link &,
    .active &__link &,
    &__link:hover & {
        &__icon-wrapper._squared {
            opacity: .8;
        }
    }
    .open &__link,
    .active &__link,
    &__link:hover {
        .profile-photo {
            opacity: 1;
        }
    }
    &__link {
        .profile-photo {
            transition: opacity .25s ease-in-out;
            opacity: .75;
        }
    }

    &__icon-wrapper {
        &._squared {
            width: 32px;
            height: 32px;
            border-radius: 8px;
            background-color: #fff;
            opacity: .4;
            display: inline-block;
            position: relative;
            transition: opacity .25s ease-in-out;
            .material-icons {
                color: $dark-new;
                position: absolute;
                top: 50%;
                left: 50%;
                transform: translate(-50%, -50%);
            }
        }
    }

    .profile-photo_content {
        position: static;
    }
}
